Skip to main content
POST
/
v1
/
funding_events
/
simulate
cURL
curl --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
  --url https://sandbox.straddle.com/v1/funding_events/simulate \
  --header 'Content-Type: application/json' \
  --data '{
  "funding_event_job_type": "charges"
}'
{
  "meta": {
    "api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_request_timestamp": "2023-11-07T05:31:56Z"
  },
  "response_type": "object",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.straddle.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.

Headers

Straddle-Account-Id
string<uuid>

For use by platforms to specify an account id and set scope of a request.

Request-Id
string

Optional client generated identifier to trace and debug a request.

Correlation-Id
string

Optional client generated identifier to trace and debug a series of requests.

Idempotency-Key
string

Optional client generated value to use for idempotent requests.

Required string length: 10 - 40

Body

funding_event_job_type
enum<string>
required

Supported job types are Charges and Payouts

Available options:
charges,
payouts
sandbox_outcome
enum<string>

Payment will simulate processing if not Standard.

Available options:
standard,
paid,
on_hold_daily_limit,
cancelled_for_fraud_risk,
cancelled_for_balance_check,
failed_insufficient_funds,
reversed_insufficient_funds,
failed_customer_dispute,
reversed_customer_dispute,
failed_closed_bank_account,
reversed_closed_bank_account

Response

Created

meta
object
required

Metadata about the API request, including an identifier and timestamp.

response_type
enum<string>
required

Indicates the structure of the returned content.

  • "object" means the data field contains a single JSON object.
  • "array" means the data field contains an array of objects.
  • "error" means the data field contains an error object with details of the issue.
  • "none" means no data is returned.
Available options:
object,
array,
error,
none
data
object
required